Update a card
curl --request PUT \
--url https://api.sandbox.trio.com.br/banking/cards/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "New marketing card"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cards/{id}"
payload = { "display_name": "New marketing card" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: 'New marketing card'})
};
fetch('https://api.sandbox.trio.com.br/banking/cards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"No Content"{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Cards
Update Card
Update card display name
PUT
/
banking
/
cards
/
{id}
Update a card
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Card ID Unique identifier
Body
application/json
Update Card
Card update params
Display name
Response
Updated
The response is of type string<string>.
Example:
"No Content"
⌘I

